<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

        <!-- External CSS -->
        <link rel="stylesheet" type="text/css" href="./assets/css/style.css">

        <title>JavaScript Document Object Model</title>
        
        <style>
            button { width: 100%; }
            #btn-equal { height: 56px; }
        </style>

    </head>
    <body>
        <table>
            <tr>
                <td colspan="4"><input type="text" id="txt-input-display" readonly></td>
            </tr>
            <tr>
                <td><button id="btn-clear-all">CE</button></td>
                <td><button id="btn-backspace">C</button></td>
                <td><button id="btn-multiply">X</button></td>
                <td><button id="btn-divide">/</button></td>
            </tr>
            <tr>
                <td><button class="btn-numbers">7</button></td>
                <td><button class="btn-numbers">8</button></td>
                <td><button class="btn-numbers">9</button></td>
                <td><button id="btn-add">+</button></td>
            </tr>
            <tr>
                <td><button class="btn-numbers">4</button></td>
                <td><button class="btn-numbers">5</button></td>
                <td><button class="btn-numbers">6</button></td>
                <td><button id="btn-subtract">-</button></td>
            </tr>
            <tr>
                <td><button class="btn-numbers">1</button></td>
                <td><button class="btn-numbers">2</button></td>
                <td><button class="btn-numbers">3</button></td>
                <td rowspan="2"><button id="btn-equal">=</button></td>
            </tr>
            <tr>
                <td colspan="2"><button class="btn-numbers">0</button></td>
                <td><button id="btn-decimal">.</button></td>
            </tr>
        </table>


        <div class="container">
            <div class="input-group my-3">
                <div class="input-group-prepend">
                    <span class="input-group-text bg-secondary text-light" id="basic-addon1">First Name:</span>
                </div>
                <input type="text" class="form-control focus" aria-label="Sizing example input" placeholder="Enter your first name here" aria-describedby="basic-addon1" id="firstName">
            </div>
            <div class="input-group my-3">
                <div class="input-group-prepend">
                    <span class="input-group-text bg-secondary text-light" id="basic-addon1">Last Name:</span>
                </div>
                <input type="text" class="form-control focus" aria-label="Sizing example input" placeholder="Enter your last name here" aria-describedby="basic-addon1" id="lastName">
            </div>
            <div class="input-group my-3">
                <div class="input-group-prepend">
                    <span class="input-group-text bg-dark text-light" id="basic-addon1">Full Name:</span>
                </div>
                <input type="text" disabled class="form-control focus" aria-label="Sizing example input" aria-describedby="basic-addon1" id="fullName">
            </div>   
        </div>

        <script src="./assets/js/script.js"></script>

    </body>
</html>